/*Basic Reset*/
*{
    box-sizing: border-box;
}

html, body{
    font-family: "Roboto", sans-serif;
    font-weight: 300;
    font-style: normal;
    margin: 0;
    width: 100%;
    height: 100%;
}

a{
    text-decoration: none;
}

/*Variables*/
:root{
    --colorCinzaEscuro: #282828;
    --colorCyan: #0FF;
}

/*Geral*/

body{
    background-color: var(--colorCinzaEscuro);
}

#backgroundFX{
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    /* width: 110%;
    height: 110%; */
    z-index: 1;
}

#backgroundFX video{
    position: absolute;
    top: 50%;
    left: 50%;
    /* width: calc((1920 * 100vh)/1080); */
    height: 111vh;
    transform: translate(-50%, -50%);
    object-fit: fill;
}

.wrap{
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;

    width:100%;
    height: 100%;
    z-index: 2;
}

.centralBox{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 500px;
    height: 700px;
    padding: 70px;
    background-color: #282828ab;

    border-bottom: 10px solid var(--colorCyan);

    box-shadow: 0 0 20px 0 #0000004d;
    border-radius: 10px;
    backdrop-filter: blur(20px);
}

.logotipo{
    max-width: 90%;
    margin: 0 auto 20px auto;
}

.logotipoVertical{
    display: none;
}

.centralBox p{
    display: inline-block;
    max-width: 80%;
    color: var(--colorCyan);
    text-align: center;
    margin: 0 auto 50px auto;
}

.centralBox a{
    margin-left: auto;
    margin-right: auto;
}

.mfButton{
    background-color: var(--colorCyan);
    color: var(--colorCinzaEscuro);
    padding: 15px;
    border-radius: 10px;
    height:60px;
    width: 320px;
    margin-bottom: 20px;
    /* text-align: center; */
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    transition: all ease .5s;
    flex-shrink: 0;
}

.mfButton:hover{
    transform: scale(1.1);
}

.mfButton i{
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    height:60px;
    width: 60px;
    font-size:30px;
    /* background-color: red; */
    top:0;
    left:0;
}

@media (max-width: 650px) {
    .centralBox{
        padding: 40px;
        width:75%;
        height: auto;
    }

    .logotipo{
        display: none;
    }
    
    .logotipoVertical{
        display: block!important;
        max-width: 60%;
        margin: 0 auto 30px auto;
    }

    .centralBox p{
        max-width: 100%; 
    }

    .mfButton{
        max-width: 100%;
    }

    /* #backgroundFX{
        display: none;

    } */

    /* .wrap{
        background-image: url("../img/mobile_bg.png");
        background-size: 100% 100%;
    } */

    
}